System Assigned Identities - Get By Scope
Gets the systemAssignedIdentity available under the specified RP scope.
GET https://management.azure.com/{scope}/providers/Microsoft.ManagedIdentity/identities/default?api-version=2024-11-30
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
scope
|
path | True |
string |
The fully qualified Azure Resource manager identifier of the resource. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
MsiOperationsList
Sample request
GET https://management.azure.com/subscriptions/12345678-1234-5678-9012-123456789012/resourceGroups/resourceGroupName/providers/Microsoft.ManagedIdentity/identities/default?api-version=2024-11-30
Sample response
{
"name": "resourceName",
"type": "ResourceProvider",
"id": "/subscriptions/subId/resourceGroups/resourceGroupName/providers/Resource.Provider/resourceType/resourceName/identities/default",
"location": "cus",
"properties": {
"clientId": "4024ab25-56a8-4370-aea6-6389221caf29",
"clientSecretUrl": "https://serviceRoot/subscriptions/subId/resourceGroups/resourceGroupName/providers/Resource.Provider/resourceType/resourceName/identities/default/credentials/v2/identities?tid=tenantId&arpid=guid&said=clientId",
"principalId": "25cc773c-7f05-40fc-a104-32d2300754ad",
"tenantId": "b6c948ef-f6b5-4384-8354-da3a15eca969"
}
}
Definitions
| Name | Description |
|---|---|
|
Cloud |
An error response from the ManagedServiceIdentity service. |
|
Cloud |
An error response from the ManagedServiceIdentity service. |
|
created |
The type of identity that created the resource. |
|
System |
Describes a system assigned identity resource. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
CloudError
An error response from the ManagedServiceIdentity service.
| Name | Type | Description |
|---|---|---|
| error |
A list of additional details about the error. |
CloudErrorBody
An error response from the ManagedServiceIdentity service.
| Name | Type | Description |
|---|---|---|
| code |
string |
An identifier for the error. |
| details |
A list of additional details about the error. |
|
| message |
string |
A message describing the error, intended to be suitable for display in a user interface. |
| target |
string |
The target of the particular error. For example, the name of the property in error. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
SystemAssignedIdentity
Describes a system assigned identity resource.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| location |
string |
|
| name |
string |
The name of the resource |
| properties.clientId |
string (uuid) |
The id of the app associated with the identity. This is a random generated UUID by MSI. |
| properties.clientSecretUrl |
string |
The ManagedServiceIdentity DataPlane URL that can be queried to obtain the identity credentials. |
| properties.principalId |
string (uuid) |
The id of the service principal object associated with the created identity. |
| properties.tenantId |
string (uuid) |
The id of the tenant which the identity belongs to. |
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| tags |
object |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |